using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IReportLogicOwner
	{
		List<ReportServicesViewModel> GetPetServices(ReportServicesBindingModel model);
		List<ReportVisitsDrugsViewModel> GetVisitsDrugs(ReportVisitsDrugsBindingModel model);
		void SaveServicesToWordFile(ReportServicesBindingModel model);
		void SaveServicesToExcelFile(ReportServicesBindingModel model);
        void SavePetsToPdfFile(ReportVisitsDrugsBindingModel model);
    }
}